Bug 52823 - php should explicitly require curl
php should explicitly require curl
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
7.3
i386 Linux
low Severity low
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-29 14:20 EDT by Chris Runge
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-15 21:46:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2001-08-29 14:20:50 EDT
Description of Problem:

trying to install php gives the error:

error: failed dependencies:
	libcurl.so.1   is needed by php-4.0.6-7

the php RPM should explicitly require curl (e.g., "Requires: curl" in .spec
file) so that people aren't left to wonder where libcurl.so.1 is located or
what it is (in this case it is fairly clear, but nonetheless...)

Version-Release number of selected component (if applicable):

php-4.0.6-7.i386.rpm

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Phil Copeland 2002-01-08 14:34:51 EST
In rawhide
ftp://rawhide.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/php-4.0.6-13.src.rpm

...
BuildPrereq: unixODBC-devel, pspell-devel, curl-devel >= 7.8, bzip2
...

the cur-devel cannot be installed without curl I believe this should be
sufficient unless the curl maintbot has done something odd

Try that and tell me if I can close this bug please

Phil
=--=
Comment 2 Brent Nordquist 2002-03-19 16:04:02 EST
Those are two different things:

BuildPrereq: curl-devel >= 7.8

means that curl-devel needs to be installed on the box where the RPMs are built.
 This bug is asking that:

Requires: curl

be added, which would require that the curl RPM be installed on the target box
before the php RPM can be installed.  The libcurl.so.1 dependency is created
automatically by the RPM build process.

I don't know if Red Hat has standards for this, but the libcurl.so.1 requirement
is sufficient, if the library is all that's required.  Lots of other RPMs have
the same scenario.  I think an explicit "Requires: curl" should only be there if
the curl RPM provides something the php RPM needs that the auto-dependency
generator doesn't find.  My $0.02
Comment 3 Peter Bowen 2002-04-15 21:45:57 EDT
I agree.  In 99.9% of cases if you have a Build(Pre)?Req of foo-devel, you
should  Require foo.
Comment 4 Phil Copeland 2002-06-04 17:26:39 EDT
Incoming errata candidate in rawhide real soon now,.. check your local listings,..

Phil
=--=

Note You need to log in before you can comment on or make changes to this bug.